Index: /palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_pw.f90	(revision 4487)
+++ /palm/trunk/SOURCE/advec_u_pw.f90	(revision 4488)
@@ -1,20 +1,19 @@
 !> @file advec_u_pw.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,6 +24,9 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
@@ -37,10 +39,10 @@
 ! ------------
 !> Advection term for u velocity-component using Piacsek and Williams.
-!> Vertical advection at the first grid point above the surface is done with
-!> normal centred differences, because otherwise no information from the surface
-!> would be communicated upwards due to w=0 at K=nzb.
-!------------------------------------------------------------------------------!
+!> Vertical advection at the first grid point above the surface is done with normal centred
+!> differences, because otherwise no information from the surface would be communicated upwards due
+!> to w=0 at K=nzb.
+!--------------------------------------------------------------------------------------------------!
  MODULE advec_u_pw_mod
- 
+
 
     PRIVATE
@@ -51,106 +53,104 @@
        MODULE PROCEDURE advec_u_pw_ij
     END INTERFACE advec_u_pw
- 
+
  CONTAINS
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for all grid points
-!------------------------------------------------------------------------------!
-    SUBROUTINE advec_u_pw
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE advec_u_pw
 
-       USE arrays_3d,                                                          &
-           ONLY:  ddzw, tend, u, v, w
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzw, tend, u, v, w
 
-       USE control_parameters,                                                 &
-           ONLY:  u_gtrans, v_gtrans
+    USE control_parameters,                                                                        &
+        ONLY:  u_gtrans, v_gtrans
 
-       USE grid_variables,                                                     &
-           ONLY:  ddx, ddy
+    USE grid_variables,                                                                            &
+        ONLY:  ddx, ddy
 
-       USE indices,                                                            &
-           ONLY:  nxlu, nxr, nyn, nys, nzb, nzt
+    USE indices,                                                                                   &
+        ONLY:  nxlu, nxr, nyn, nys, nzb, nzt
 
-       USE kinds
+    USE kinds
 
 
-       IMPLICIT NONE
+    IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !< grid index along x-direction
-       INTEGER(iwp) ::  j !< grid index along y-direction
-       INTEGER(iwp) ::  k !< grid index along z-direction
-       
-       REAL(wp)    ::  gu !< Galilei-transformation velocity along x
-       REAL(wp)    ::  gv !< Galilei-transformation velocity along y
- 
-       gu = 2.0_wp * u_gtrans
-       gv = 2.0_wp * v_gtrans
-       DO  i = nxlu, nxr
-          DO  j = nys, nyn
-             DO  k = nzb+1, nzt
-                tend(k,j,i) = tend(k,j,i) - 0.25_wp * (                        &
-                         ( u(k,j,i+1) * ( u(k,j,i+1) + u(k,j,i) - gu )         &
-                         - u(k,j,i-1) * ( u(k,j,i) + u(k,j,i-1) - gu ) ) * ddx &
-                       + ( u(k,j+1,i) * ( v(k,j+1,i) + v(k,j+1,i-1) - gv )     &
-                         - u(k,j-1,i) * ( v(k,j,i) + v(k,j,i-1) - gv ) ) * ddy &
-                       + ( u(k+1,j,i) * ( w(k,j,i) + w(k,j,i-1) )              &
-                         - u(k-1,j,i) * ( w(k-1,j,i) + w(k-1,j,i-1) ) )        &
-                                                                  * ddzw(k)    &
-                                                      )
-             ENDDO
+    INTEGER(iwp) ::  i !< grid index along x-direction
+    INTEGER(iwp) ::  j !< grid index along y-direction
+    INTEGER(iwp) ::  k !< grid index along z-direction
+
+    REAL(wp)     ::  gu !< Galilei-transformation velocity along x
+    REAL(wp)     ::  gv !< Galilei-transformation velocity along y
+
+    gu = 2.0_wp * u_gtrans
+    gv = 2.0_wp * v_gtrans
+    DO  i = nxlu, nxr
+       DO  j = nys, nyn
+          DO  k = nzb+1, nzt
+             tend(k,j,i) = tend(k,j,i) - 0.25_wp * (                                               &
+                           ( u(k,j,i+1)   * ( u(k,j,i+1) + u(k,j,i) - gu )                         &
+                           - u(k,j,i-1)   * ( u(k,j,i)   + u(k,j,i-1) - gu ) ) * ddx               &
+                           + ( u(k,j+1,i) * ( v(k,j+1,i) + v(k,j+1,i-1) - gv )                     &
+                           - u(k,j-1,i)   * ( v(k,j,i)   + v(k,j,i-1) - gv ) ) * ddy               &
+                           + ( u(k+1,j,i) * ( w(k,j,i)   + w(k,j,i-1) )                            &
+                           - u(k-1,j,i)   * ( w(k-1,j,i) + w(k-1,j,i-1) ) )    * ddzw(k)           &
+                                                   )
           ENDDO
        ENDDO
+    ENDDO
 
-    END SUBROUTINE advec_u_pw
+ END SUBROUTINE advec_u_pw
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for grid point i,j
-!------------------------------------------------------------------------------!
-    SUBROUTINE advec_u_pw_ij( i, j )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE advec_u_pw_ij( i, j )
 
-       USE arrays_3d,                                                          &
-           ONLY:  ddzw, tend, u, v, w
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzw, tend, u, v, w
 
-       USE control_parameters,                                                 &
-           ONLY:  u_gtrans, v_gtrans
+    USE control_parameters,                                                                        &
+        ONLY:  u_gtrans, v_gtrans
 
-       USE grid_variables,                                                     &
-           ONLY:  ddx, ddy
+    USE grid_variables,                                                                            &
+        ONLY:  ddx, ddy
 
-       USE indices,                                                            &
-           ONLY:  nzb, nzt
+    USE indices,                                                                                   &
+        ONLY:  nzb, nzt
 
-       USE kinds
+    USE kinds
 
 
-       IMPLICIT NONE
+    IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !< grid index along x-direction
-       INTEGER(iwp) ::  j !< grid index along y-direction
-       INTEGER(iwp) ::  k !< grid index along z-direction
-       
-       REAL(wp)    ::  gu !< Galilei-transformation velocity along x
-       REAL(wp)    ::  gv !< Galilei-transformation velocity along y
+    INTEGER(iwp) ::  i !< grid index along x-direction
+    INTEGER(iwp) ::  j !< grid index along y-direction
+    INTEGER(iwp) ::  k !< grid index along z-direction
 
-       gu = 2.0_wp * u_gtrans
-       gv = 2.0_wp * v_gtrans
-       DO  k = nzb+1, nzt
-          tend(k,j,i) = tend(k,j,i) - 0.25_wp * (                              &
-                         ( u(k,j,i+1) * ( u(k,j,i+1) + u(k,j,i) - gu )         &
-                         - u(k,j,i-1) * ( u(k,j,i) + u(k,j,i-1) - gu ) ) * ddx &
-                       + ( u(k,j+1,i) * ( v(k,j+1,i) + v(k,j+1,i-1) - gv )     &
-                         - u(k,j-1,i) * ( v(k,j,i) + v(k,j,i-1) - gv ) ) * ddy &
-                       + ( u(k+1,j,i) * ( w(k,j,i) + w(k,j,i-1) )              &
-                         - u(k-1,j,i) * ( w(k-1,j,i) + w(k-1,j,i-1) ) )        &
-                                                                  * ddzw(k)    &
-                                                )
-       ENDDO
+    REAL(wp)     ::  gu !< Galilei-transformation velocity along x
+    REAL(wp)     ::  gv !< Galilei-transformation velocity along y
 
-    END SUBROUTINE advec_u_pw_ij
+    gu = 2.0_wp * u_gtrans
+    gv = 2.0_wp * v_gtrans
+    DO  k = nzb+1, nzt
+       tend(k,j,i) = tend(k,j,i) - 0.25_wp * (                                                     &
+                     ( u(k,j,i+1)   * ( u(k,j,i+1) + u(k,j,i) - gu )                               &
+                     - u(k,j,i-1)   * ( u(k,j,i)   + u(k,j,i-1) - gu ) ) * ddx                     &
+                     + ( u(k,j+1,i) * ( v(k,j+1,i) + v(k,j+1,i-1) - gv )                           &
+                     - u(k,j-1,i)   * ( v(k,j,i)   + v(k,j,i-1) - gv ) ) * ddy                     &
+                     + ( u(k+1,j,i) * ( w(k,j,i)   + w(k,j,i-1) )                                  &
+                     - u(k-1,j,i)   * ( w(k-1,j,i) + w(k-1,j,i-1) ) )    * ddzw(k)                 &
+                                             )
+    ENDDO
+
+ END SUBROUTINE advec_u_pw_ij
 
  END MODULE advec_u_pw_mod
Index: /palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_up.f90	(revision 4487)
+++ /palm/trunk/SOURCE/advec_u_up.f90	(revision 4488)
@@ -1,20 +1,19 @@
 !> @file advec_u_up.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,6 +24,9 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! variables documented
@@ -39,7 +41,7 @@
 !> NOTE: vertical advection at k=1 still has wrong grid spacing for w>0!
 !>       The same problem occurs for all topography boundaries!
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE advec_u_up_mod
- 
+
 
     PRIVATE
@@ -54,149 +56,134 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for all grid points
-!------------------------------------------------------------------------------!
-    SUBROUTINE advec_u_up
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE advec_u_up
 
-       USE arrays_3d,                                                          &
-           ONLY:  ddzu, tend, u, v, w
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzu, tend, u, v, w
 
-       USE control_parameters,                                                 &
-           ONLY:  u_gtrans, v_gtrans
+    USE control_parameters,                                                                        &
+        ONLY:  u_gtrans, v_gtrans
 
-       USE grid_variables,                                                     &
-           ONLY:  ddx, ddy
+    USE grid_variables,                                                                            &
+        ONLY:  ddx, ddy
 
-       USE indices,                                                            &
-           ONLY:  nxlu, nxr, nyn, nys, nzb, nzt
+    USE indices,                                                                                   &
+        ONLY:  nxlu, nxr, nyn, nys, nzb, nzt
 
-       USE kinds
+    USE kinds
 
 
-       IMPLICIT NONE
+    IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !< grid index along x-direction
-       INTEGER(iwp) ::  j !< grid index along y-direction
-       INTEGER(iwp) ::  k !< grid index along z-direction
+    INTEGER(iwp) ::  i !< grid index along x-direction
+    INTEGER(iwp) ::  j !< grid index along y-direction
+    INTEGER(iwp) ::  k !< grid index along z-direction
 
-       REAL(wp) ::  ukomp !< advection velocity along x-direction 
-       REAL(wp) ::  vkomp !< advection velocity along y-direction 
-       REAL(wp) ::  wkomp !< advection velocity along z-direction 
+    REAL(wp) ::  ukomp !< advection velocity along x-direction
+    REAL(wp) ::  vkomp !< advection velocity along y-direction
+    REAL(wp) ::  wkomp !< advection velocity along z-direction
 
-       
-       DO  i = nxlu, nxr
-          DO  j = nys, nyn
-             DO  k = nzb+1, nzt
+
+    DO  i = nxlu, nxr
+       DO  j = nys, nyn
+          DO  k = nzb+1, nzt
 !
-!--             x-direction
-                ukomp = u(k,j,i) - u_gtrans
-                IF ( ukomp > 0.0_wp )  THEN
-                   tend(k,j,i) = tend(k,j,i) - ukomp *                         &
-                                         ( u(k,j,i) - u(k,j,i-1) ) * ddx
-                ELSE
-                   tend(k,j,i) = tend(k,j,i) - ukomp *                         &
-                                          ( u(k,j,i+1) - u(k,j,i) ) * ddx
-                ENDIF
+!--          x-direction
+             ukomp = u(k,j,i) - u_gtrans
+             IF ( ukomp > 0.0_wp )  THEN
+                tend(k,j,i) = tend(k,j,i) - ukomp * ( u(k,j,i) - u(k,j,i-1) ) * ddx
+             ELSE
+                tend(k,j,i) = tend(k,j,i) - ukomp * ( u(k,j,i+1) - u(k,j,i) ) * ddx
+             ENDIF
 !
-!--             y-direction
-                vkomp = 0.25_wp * ( v(k,j,i)   + v(k,j+1,i) +                  &
-                                 v(k,j,i-1) + v(k,j+1,i-1) ) - v_gtrans
-                IF ( vkomp > 0.0_wp )  THEN
-                   tend(k,j,i) = tend(k,j,i) - vkomp *                         &
-                                         ( u(k,j,i) - u(k,j-1,i) ) * ddy
-                ELSE
-                   tend(k,j,i) = tend(k,j,i) - vkomp *                         &
-                                         ( u(k,j+1,i) - u(k,j,i) ) * ddy
-                ENDIF
+!--          y-direction
+             vkomp = 0.25_wp * ( v(k,j,i) + v(k,j+1,i) + v(k,j,i-1) + v(k,j+1,i-1) ) - v_gtrans
+             IF ( vkomp > 0.0_wp )  THEN
+                tend(k,j,i) = tend(k,j,i) - vkomp * ( u(k,j,i) - u(k,j-1,i) ) * ddy
+             ELSE
+                tend(k,j,i) = tend(k,j,i) - vkomp * ( u(k,j+1,i) - u(k,j,i) ) * ddy
+             ENDIF
 !
-!--             z-direction
-                wkomp = 0.25_wp * ( w(k,j,i)   + w(k-1,j,i) +                  &
-                                 w(k,j,i-1) + w(k-1,j,i-1) )
-                IF ( wkomp > 0.0_wp )  THEN
-                   tend(k,j,i) = tend(k,j,i) - wkomp *                         &
-                                         ( u(k,j,i) - u(k-1,j,i) ) * ddzu(k)
-                ELSE
-                   tend(k,j,i) = tend(k,j,i) - wkomp *                         &
-                                         ( u(k+1,j,i) - u(k,j,i) ) * ddzu(k+1)
-                ENDIF
+!--          z-direction
+             wkomp = 0.25_wp * ( w(k,j,i) + w(k-1,j,i) + w(k,j,i-1) + w(k-1,j,i-1) )
+             IF ( wkomp > 0.0_wp )  THEN
+                tend(k,j,i) = tend(k,j,i) - wkomp * ( u(k,j,i) - u(k-1,j,i) ) * ddzu(k)
+             ELSE
+                tend(k,j,i) = tend(k,j,i) - wkomp * ( u(k+1,j,i) - u(k,j,i) ) * ddzu(k+1)
+             ENDIF
 
-             ENDDO
           ENDDO
        ENDDO
+    ENDDO
 
-    END SUBROUTINE advec_u_up
+ END SUBROUTINE advec_u_up
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for grid point i,j
-!------------------------------------------------------------------------------!
-    SUBROUTINE advec_u_up_ij( i, j )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE advec_u_up_ij( i, j )
 
-       USE arrays_3d,                                                          &
-           ONLY:  ddzu, tend, u, v, w
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzu, tend, u, v, w
 
-       USE control_parameters,                                                 &
-           ONLY:  u_gtrans, v_gtrans
+    USE control_parameters,                                                                        &
+        ONLY:  u_gtrans, v_gtrans
 
-       USE grid_variables,                                                     &
-           ONLY:  ddx, ddy
+    USE grid_variables,                                                                            &
+        ONLY:  ddx, ddy
 
-       USE indices,                                                            &
-           ONLY:  nzb, nzt
+    USE indices,                                                                                   &
+        ONLY:  nzb, nzt
 
-       USE kinds
+    USE kinds
 
 
-       IMPLICIT NONE
+    IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !< grid index along x-direction
-       INTEGER(iwp) ::  j !< grid index along y-direction
-       INTEGER(iwp) ::  k !< grid index along z-direction
+    INTEGER(iwp) ::  i !< grid index along x-direction
+    INTEGER(iwp) ::  j !< grid index along y-direction
+    INTEGER(iwp) ::  k !< grid index along z-direction
 
-       REAL(wp) ::  ukomp !< advection velocity along x-direction 
-       REAL(wp) ::  vkomp !< advection velocity along y-direction 
-       REAL(wp) ::  wkomp !< advection velocity along z-direction 
+    REAL(wp) ::  ukomp !< advection velocity along x-direction
+    REAL(wp) ::  vkomp !< advection velocity along y-direction
+    REAL(wp) ::  wkomp !< advection velocity along z-direction
 
 
-       DO  k = nzb+1, nzt
+    DO  k = nzb+1, nzt
 !
-!--       x-direction
-          ukomp = u(k,j,i) - u_gtrans
-          IF ( ukomp > 0.0_wp )  THEN
-             tend(k,j,i) = tend(k,j,i) - ukomp *                               &
-                                         ( u(k,j,i) - u(k,j,i-1) ) * ddx
-          ELSE
-             tend(k,j,i) = tend(k,j,i) - ukomp *                               &
-                                         ( u(k,j,i+1) - u(k,j,i) ) * ddx
-          ENDIF
+!--    x-direction
+       ukomp = u(k,j,i) - u_gtrans
+       IF ( ukomp > 0.0_wp )  THEN
+          tend(k,j,i) = tend(k,j,i) - ukomp * ( u(k,j,i) - u(k,j,i-1) ) * ddx
+       ELSE
+          tend(k,j,i) = tend(k,j,i) - ukomp * ( u(k,j,i+1) - u(k,j,i) ) * ddx
+       ENDIF
 !
-!--       y-direction
-          vkomp = 0.25_wp * ( v(k,j,i) + v(k,j+1,i) + v(k,j,i-1) + v(k,j+1,i-1) &
-                         ) - v_gtrans
-          IF ( vkomp > 0.0_wp )  THEN
-             tend(k,j,i) = tend(k,j,i) - vkomp *                               &
-                                         ( u(k,j,i) - u(k,j-1,i) ) * ddy
-          ELSE
-             tend(k,j,i) = tend(k,j,i) - vkomp *                               &
-                                         ( u(k,j+1,i) - u(k,j,i) ) * ddy
-          ENDIF
+!--    y-direction
+       vkomp = 0.25_wp * ( v(k,j,i) + v(k,j+1,i) + v(k,j,i-1) + v(k,j+1,i-1) ) - v_gtrans
+       IF ( vkomp > 0.0_wp )  THEN
+          tend(k,j,i) = tend(k,j,i) - vkomp * ( u(k,j,i) - u(k,j-1,i) ) * ddy
+       ELSE
+          tend(k,j,i) = tend(k,j,i) - vkomp * ( u(k,j+1,i) - u(k,j,i) ) * ddy
+       ENDIF
 !
-!--       z-direction
-          wkomp = 0.25_wp * ( w(k,j,i) + w(k-1,j,i) + w(k,j,i-1) + w(k-1,j,i-1) )
-          IF ( wkomp > 0.0_wp )  THEN
-             tend(k,j,i) = tend(k,j,i) - wkomp *                               &
-                                         ( u(k,j,i) - u(k-1,j,i) ) * ddzu(k)
-          ELSE
-             tend(k,j,i) = tend(k,j,i) - wkomp *                               &
-                                         ( u(k+1,j,i) - u(k,j,i) ) * ddzu(k+1)
-          ENDIF
+!--    z-direction
+       wkomp = 0.25_wp * ( w(k,j,i) + w(k-1,j,i) + w(k,j,i-1) + w(k-1,j,i-1) )
+       IF ( wkomp > 0.0_wp )  THEN
+          tend(k,j,i) = tend(k,j,i) - wkomp * ( u(k,j,i) - u(k-1,j,i) ) * ddzu(k)
+       ELSE
+          tend(k,j,i) = tend(k,j,i) - wkomp * ( u(k+1,j,i) - u(k,j,i) ) * ddzu(k+1)
+       ENDIF
 
-       ENDDO
+    ENDDO
 
-    END SUBROUTINE advec_u_up_ij
+ END SUBROUTINE advec_u_up_ij
 
  END MODULE advec_u_up_mod
